petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringSetWeightType

Set the type of weight computation used.

### Synopsis

    #include "petscmat.h"
    #undef __FUNCT__
    #define __FUNCT__ "MatColoringSetWeightType"
    PetscErrorCode MatColoringSetWeightType(MatColoring mc,MatColoringWeightType wt)

Logically collective on MatColoring Many br

### Input Parameters

mc -the MatColoring context Many br+ wt - the weight type Many br

Many br

### Keywords

Coloring, view

### See Also

MatColoring, MatColoringWeightType

Level:beginner
Location:src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages